package com.zhyc.module.base.mapper;

import java.util.List;
import com.zhyc.module.base.domain.SheepPedigree;
import org.apache.ibatis.annotations.Param;

/**
 * VIEWMapper接口
 * 
 * @author ruoyi
 * @date 2026-02-04
 */
public interface SheepPedigreeMapper 
{
    /**
     * 查询VIEW
     * 
     * @param id VIEW主键
     * @return VIEW
     */
    public SheepPedigree selectSheepPedigreeById(Long id);

    /**
     * 查询VIEW列表
     * 
     * @param sheepPedigree VIEW
     * @return VIEW集合
     */
    public List<SheepPedigree> selectSheepPedigreeList(SheepPedigree sheepPedigree);

    /**
     * 新增VIEW
     * 
     * @param sheepPedigree VIEW
     * @return 结果
     */
    public int insertSheepPedigree(SheepPedigree sheepPedigree);

    /**
     * 修改VIEW
     * 
     * @param sheepPedigree VIEW
     * @return 结果
     */
    public int updateSheepPedigree(SheepPedigree sheepPedigree);

    /**
     * 删除VIEW
     * 
     * @param id VIEW主键
     * @return 结果
     */
    public int deleteSheepPedigreeById(Long id);

    /**
     * 批量删除VIEW
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSheepPedigreeByIds(Long[] ids);


    /**
     * 根据int类型id查询繁育状态名称
     * @param id 主键id（int类型）
     * @return 繁育状态名称（breed列的值）
     */
    String selectBreedNameById(@Param("id") Long id);
}
